twitter4j.api

## Interface SuggestedUsersResources

All Known Subinterfaces:
  Twitter

    public interface SuggestedUsersResources

Since:
  Twitter4J 3.0.0
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseList<User>` `getMemberSuggestions(String categorySlug)` Access the users in a given category of the Twitter suggested user list and return their most recent status if they are not a protected user.
`ResponseList<Category>` `getSuggestedUserCategories()` Access to Twitter's suggested user list.
`ResponseList<User>` `getUserSuggestions(String categorySlug)` Access the users in a given category of the Twitter suggested user list. It is recommended that end clients cache this data for no more than one hour.

### Method Detail

#### getUserSuggestions

    ResponseList<User> getUserSuggestions(String categorySlug)
                                   throws TwitterException

Access the users in a given category of the Twitter suggested user list.
It is recommended that end clients cache this data for no more than one hour.
This method calls https://api.twitter.com/1.1/users/suggestions/:slug.json

Parameters:
  `categorySlug` - slug
Returns:
  list of suggested users
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.1
See Also:
  GET users/suggestions/:slug | Twitter Developers

#### getSuggestedUserCategories

    ResponseList<Category> getSuggestedUserCategories()
                                               throws TwitterException

Access to Twitter's suggested user list. This returns the list of suggested user categories. The category can be used in the users/suggestions/category endpoint to get the users in that category.
This method calls https://api.twitter.com/1.1/users/suggestions

Returns:
  list of suggested user categories.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.1
See Also:
  GET users/suggestions | Twitter Developers

#### getMemberSuggestions

    ResponseList<User> getMemberSuggestions(String categorySlug)
                                     throws TwitterException

Access the users in a given category of the Twitter suggested user list and return their most recent status if they are not a protected user.
This method has not been finalized and the interface is subject to change in incompatible ways.
This method calls https://api.twitter.com/1.1/users/suggestions/:slug/members.json

Parameters:
  `categorySlug` - slug
Returns:
  list of suggested users
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.9
See Also:
  GET users/suggestions/:slug/members | Twitter Developers